package net.knarcraft.ffmpegconverter.converter.module;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import org.jetbrains.annotations.NotNull;

/**
 * A converter module for adding de-interlacing
 */
public class DeInterlaceModule implements ConverterModule {

    @Override
    public void addArguments(@NotNull FFMpegCommand command) {
        command.addOutputFileOption("-filter:v", "bwdif=mode=send_field");
    }

}
